Windows Administration - Bug #777

Windows Updates Slow to Install/Download
03/17/2016 01:26 PM - Daniel Curtis

Status: Closed Start date: 03/17/2016
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Errors Estimated time: 0.50 hour
Target version: Windows 7 Spent time: 2.00 hours
Description

| recently had a problem with a Windows 7 Ultimate VM having issues updating, taking hours to fetch and install. This process should
not take that long. These are the steps | took to resolve the slow Windows Update problem | had.

Clear the local Windows Update Cache

e Open a command prompt as an Administrator.
¢ Run the following commands to stop the windows update service and clear the update cache:

net stop wuauserv

net stop bits

rd /s /q $windir%\softwaredistribution

net start bits

net start wuauserv

wuauclt.exe /resetauthorization /detectnow

Install KB3102810

e Download and install the KB3102810 package for your system.
¢ Reboot the system and run Windows Update.

Resources

¢ http://superuser.com/questions/890038/why-is-checking-windows-update-so-slow

¢ https://support.microsoft.com/en-us/kb/3102810

e http://superuser.com/questions/821032/svchost-exe-high-memory-usage-wuauserv

* http://answers.microsoft.com/en-us/windows/forum/all/why-are-windows-updates-so-slow-and-long-with/b785ff84-b00e-43b1-86
28-40cdccb77aca

History

#1 - 03/17/2016 01:29 PM - Daniel Curtis
- File Windows6.1-KB3102810-x86.msu added
- Status changed from New to In Progress

- % Done changed from 0 to 50

#2 - 03/17/2016 01:30 PM - Daniel Curtis
- File Windowsé6.1-KB3102810-x64.msu added

#3 - 03/19/2016 01:11 PM - Daniel Curtis
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#4 - 04/09/2016 10:24 AM - Daniel Curtis

- Status changed from Resolved to Closed
#5 - 06/08/2016 11:35 AM - Daniel Curtis

- Description updated
